<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'function.kadm5-destroy.php',
    1 => 'kadm5_destroy',
  ),
  'up' => 
  array (
    0 => 'ref.krb5.php',
    1 => 'KADM5 Functions',
  ),
  'prev' => 
  array (
    0 => 'function.kadm5-delete-principal.php',
    1 => 'kadm5_delete_principal',
  ),
  'next' => 
  array (
    0 => 'function.kadm5-flush.php',
    1 => 'kadm5_flush',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="function.kadm5-destroy" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">kadm5_destroy</h1>
  <p class="verinfo">(PECL kadm5 &gt;= 0.2.3)</p><p class="refpurpose"><span class="refname">kadm5_destroy</span> &mdash; <span class="dc-title">Closes the connection to the admin server and releases all related resources</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="type">bool</span> <span class="methodname"><b><b>kadm5_destroy</b></b></span>
    ( <span class="methodparam"><span class="type">resource</span> <tt class="parameter">$handle</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Closes the connection to the admin server and releases all related
   resources.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">handle</tt></i>
</span>

     <dd>

      <p class="para">
       A KADM5 handle.
      </p>
     </dd>

    </dt>

   </dl>

  </p>
 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns <b><tt>TRUE</tt></b> on success or <b><tt>FALSE</tt></b> on failure.
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"><a href="function.kadm5-init-with-password.php" class="function" rel="rdfs-seeAlso">kadm5_init_with_password()</a></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>