<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.gssapicontext.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'gssapicontext.inquirecredentials.php',
    1 => 'GSSAPIContext::inquireCredentials',
  ),
  'up' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'The GSSAPIContext class',
  ),
  'prev' => 
  array (
    0 => 'gssapicontext.initseccontext.php',
    1 => 'GSSAPIContext::initSecContext',
  ),
  'next' => 
  array (
    0 => 'gssapicontext.unwrap.php',
    1 => 'GSSAPIContext::unwrap',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="gssapicontext.inquirecredentials" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">GSSAPIContext::inquireCredentials</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">GSSAPIContext::inquireCredentials</span> &mdash; <span class="dc-title">Gets information about the credentials used for context establishment</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type"><span class="type void">void</span></span> <span class="methodname"><b><b>GSSAPIContext::inquireCredentials</b></b></span>
    ( <span class="methodparam">void</span>
   )</div>

  <p class="para rdfs-comment">
   Gets information about the credentials associated with the GSSAPIContext.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">This function has no parameters.</p>
 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Will return an associative array of
   <table class="doctable formaltable">
       <caption><b>Returned information</b></caption>
       
        <thead valign="middle">
         <tr valign="middle">
          <th>key</th>
          <th>type</th>
          <th>description</th>
         </tr>

        </thead>

        <tbody valign="middle" class="tbody">
         <tr valign="middle">
          <td align="left">name</td>
          <td align="left">string</td>
          <td align="left">Prinicipal (local)</td>
         </tr>

         <tr valign="middle">
          <td align="left">lifetime_remain</td>
          <td align="left">int</td>
          <td align="left">Remaining time in seconds for which the credentials are valid</td>
         </tr>

         <tr valign="middle">
          <td align="left">cred_usage</td>
          <td align="left">integer</td>
          <td align="left">Possible credential usage (GSS_C_BOTH, GSS_C_INITIATE, GSS_C_ACCEPT)</td>
         </tr>

           <tr valign="middle">
          <td align="left">mechs</td>
          <td align="left">array of strings</td>
          <td align="left">OIDs of usable mechanisms</td>
         </tr>

        </tbody>
       
      </table>

  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.acquirecredentials.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::acquireCredentials</a></b></span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>