<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/krb5.constants.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5.constantsAF.php',
    1 => 'Constants for Attribute Flags',
  ),
  'up' => 
  array (
    0 => 'krb5.constants.php',
    1 => 'Predefined Constants',
  ),
  'prev' => 
  array (
    0 => 'krb5.constants.php',
    1 => 'Predefined Constants',
  ),
  'next' => 
  array (
    0 => 'pecl.krb5.constantsOP.php',
    1 => 'Constants for Options',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5.constantsAF" class="section">
 <h2 class="title">Constants for Attribute Flags</h2>
  <p class="para">
   The functions <a href="function.kadm5-create-principal.php" class="function">kadm5_create_principal()</a>,
   <a href="function.kadm5-modify-principal.php" class="function">kadm5_modify_principal()</a>, and
   <a href="function.kadm5-modify-principal.php" class="function">kadm5_modify_principal()</a> allow to specify
   special attributes using a bitfield. The symbols are defined below:
   <table class="doctable formaltable">
    <caption><b>Attributes for use by the KDC</b></caption>
    
     <thead valign="middle">
      <tr valign="middle">
       <th>constant</th>
      </tr>

     </thead>

     <tbody valign="middle" class="tbody">
      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_POSTDATED</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_FORWARDABLE</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_TGT_BASED</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_RENEWABLE</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_PROXIABLE</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_DUP_SKEY</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_ALL_TIX</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_REQUIRES_PRE_AUTH</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_REQUIRES_HW_AUTH</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_REQUIRES_PWCHANGE</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_DISALLOW_SVR</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_PWCHANGE_SERVER</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_SUPPORT_DESMD5</td>
      </tr>

      <tr valign="middle">
       <td align="left">KRB5_KDB_NEW_PRINC</td>
      </tr>

     </tbody>
    
   </table>

  </p>
 </div><?php manual_footer(); ?>