<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/krb5.examples.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5.examples-ccache-init-password.php',
    1 => 'Initializing a credential cache',
  ),
  'up' => 
  array (
    0 => 'krb5.examples.php',
    1 => 'Examples',
  ),
  'prev' => 
  array (
    0 => 'krb5.examples.php',
    1 => 'Examples',
  ),
  'next' => 
  array (
    0 => 'class.krb5ccache.php',
    1 => 'KRB5CCache',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5.examples-ccache-init-password" class="section">
  <p class="para">
   This simple example shows how to obtain a TGT for a given credential using a password.
   </p><div class="example">
    <p><b>Example #1 Initializing a credential cache</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />&nbsp;&nbsp;&nbsp;&nbsp;$ccache&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">KRB5CCache</span><span style="color: #007700">();<br />&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">$flags&nbsp;</span><span style="color: #007700">=&nbsp;array(</span><span style="color: #DD0000">'tkt_lifetime'&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">3600</span><span style="color: #007700">);<br />&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initPassword</span><span style="color: #007700">(</span><span style="color: #DD0000">'principal@realm'</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">'password'</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$flags</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div><p>
  </p>
 </div><?php manual_footer(); ?>