<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/krb5.setup.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5.installation.php',
    1 => 'Installation',
  ),
  'up' => 
  array (
    0 => 'krb5.setup.php',
    1 => 'Installing/Configuring',
  ),
  'prev' => 
  array (
    0 => 'krb5.requirements.php',
    1 => 'Requirements',
  ),
  'next' => 
  array (
    0 => 'krb5.configuration.php',
    1 => 'Runtime Configuration',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5.installation" class="section">
  <h2 class="title">Installation</h2>
  
			<p class="para">
				KADM5 support is disabled by default, enable it passing <i>--with-krb5kadm</i> to <i>configure</i>. KADM5 support uses some interal header files of the MIT krb5 distribution. These headers are bundled but you can specify another source (which needs to be a unpacked krb5 distribution with <i>configure</i> and <i>make</i> run) giving a path to the switch.
   </p>

  <p class="para">
   When compiling this extension as shared module:
			</p><ul class="itemizedlist">
					<li class="listitem"><p class="para">
						run <i>phpize</i> in the extension directory
					</p></li>
					<li class="listitem"><p class="para">
						run <i>./configure</i> (optionally add <i>--with-krb5kadm</i> if you need this functionality)
					</p></li>
					<li class="listitem"><p class="para">
						run make &amp;&amp; make install
					</p></li>
					<li class="listitem"><p class="para">
						optional: enable your new extension in you php.ini by adding <i>extension=krb5.so</i> to it.
					</p></li>
			</ul><p>
  </p>

  <p class="para">
  When compiling statically into your php binary:
  </p><ul class="itemizedlist">
   <li class="listitem"><p class="para">
 			move this extension into your php distributions <i>ext/</i> folder
			</p></li>
			<li class="listitem"><p class="para">
			 make sure that the directory is named &quot;krb5&quot;
			</p></li>
			<li class="listitem"><p class="para">
				run ./buildconf --force in the root directory of you php distribution
			</p></li>
			<li class="listitem"><p class="para">
				<i>./configure</i> php with your common flags and add <i>--with-krb5</i> and optionally <i>--with-krb5kadm=&lt;path&gt;</i> where &lt;path&gt; is the path to your mit-krb5 distribution.
				</p></li>
			<li class="listitem"><p class="para">
					make &amp;&amp; make install
			</p></li>
   </ul><p>
  </p>
  
  
 </div><?php manual_footer(); ?>