#!/bin/bash

pushd `dirname $0`


case $1 in

--clean)
	echo "Cleaning up generated docs.."
	rm -R html/ pdf/ php_manual_en.pdf

	;;

*)

	php configure.php --enable-xml-details
	
	phd -d /afs/epplehaus.de/users/mbechler/workspace/php_krb5-new/doc/.manual.xml --format xhtml
	phd -d /afs/epplehaus.de/users/mbechler/workspace/php_krb5-new/doc/.manual.xml --format pdf -t phpbigpdf
	cp php_manual_en.pdf ../manual.pdf 
	;;

esac

popd
