<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/book.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'class.krb5negotiateauth.php',
    1 => 'KRB5NegotiateAuth',
  ),
  'up' => 
  array (
    0 => 'book.krb5.php',
    1 => 'Kerberos V / KADM5 / GSSAPI',
  ),
  'prev' => 
  array (
    0 => 'gssapicontext.wrap.php',
    1 => 'GSSAPIContext::wrap',
  ),
  'next' => 
  array (
    0 => 'krb5negotiateauth.construct.php',
    1 => 'KRB5NegotiateAuth::__construct',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div>

 <h1 class="title">The KRB5NegotiateAuth class</h1>
 

 <div class="partintro">


  <div id="krb5negotiateauth.intro" class="section">
   <h2 class="title">Introduction</h2>
   <p class="para">
    This class provides a simple interface for doing HTTP Negotiate/SPNEGO authentication. This interface might be obsolete, as this functionality might be easily implemented using the GSSAPI interface. Please note that this is only possible for SAPIs which have access to the <i>Authorization</i> header (e.g. <em class="emphasis">not</em> using the CGI SAPI).
   </p>
  </div>


  <div id="krb5negotiateauth.synopsis" class="section">
   <h2 class="title">Class synopsis</h2>


   <div class="classsynopsis">
    <div class="ooclass"><b class="classname">KRB5NegotiateAuth</b></div>


    <div class="classsynopsisinfo">
     <span class="ooclass">
      <b class="classname">KRB5NegotiateAuth</b>
     </span>
     {</div>

    
    <div class="classsynopsisinfo classsynopsisinfo_comment">/* Methods */</div>
    <div class="methodsynopsis dc-description">
    <span class="methodname"><b><a href="krb5negotiateauth.construct.php" class="function">KRB5NegotiateAuth::__construct</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$keytab</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="krb5negotiateauth.doauthentication.php" class="function">KRB5NegotiateAuth::doAuthentication</a></b></span>
    ( <span class="methodparam">void</span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">string</span> <span class="methodname"><b><a href="krb5negotiateauth.getauthenticateduser.php" class="function">KRB5NegotiateAuth::getAuthenticatedUser</a></b></span>
    ( <span class="methodparam">void</span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="krb5negotiateauth.getdelegatedcredentials.php" class="function">KRB5NegotiateAuth::getDelegatedCredentials</a></b></span>
    ( <span class="methodparam"><span class="type"><a href="class.krb5ccache.php" class="type KRB5CCache">KRB5CCache</a></span> <tt class="parameter">$ccache</tt></span>
   )</div>

   }</div>


  </div>

 </div>

 





























<h2>Table of Contents</h2><ul class="chunklist chunklist_reference"><li><a href="krb5negotiateauth.construct.php">KRB5NegotiateAuth::__construct</a> — Initialize the negotiate auth handler</li><li><a href="krb5negotiateauth.doauthentication.php">KRB5NegotiateAuth::doAuthentication</a> — Performs HTTP Negotiate authentication</li><li><a href="krb5negotiateauth.getauthenticateduser.php">KRB5NegotiateAuth::getAuthenticatedUser</a> — Returns the principal name of the authenticated user</li><li><a href="krb5negotiateauth.getdelegatedcredentials.php">KRB5NegotiateAuth::getDelegatedCredentials</a> — Gets the possibly delegated credentials of the authenticated user</li></ul>
</div>
<?php manual_footer(); ?>